import { Observable } from "rxjs/Observable";
import { Subscription } from "rxjs/Subscription";
export interface Action {
    type: string;
}
export interface Store {
    state: Observable<any>;
    subscribe: (observer: (state: any) => void) => Subscription;
    dispatch: <A extends Action>(action: A) => A;
    getState: () => any;
    replaceHandlers: (newHandlers: object) => void;
}
export declare function createStore(handlers: object, initialState: any, enhancer?: any): Store;
